MarketPe APIs

Vehicle FASTag Locations

POST
/api/vehicle/fastagLocations

Request Body

{
  "vehicleNumber": "TN39CT5496"
}

Response Body

{
  "data": {
    "txns": [
      {
        "timestamp": "2026-03-22T07:39:02.000Z",
        "tollPlazaName": "Airoli",
        "latitude": 19.153364,
        "longitude": 72.965778
      },
      {
        "timestamp": "2026-03-24T05:39:57.000Z",
        "tollPlazaName": "Hosur Road (P1) Toll",
        "latitude": 12.858667,
        "longitude": 77.655833
      },
      {
        "timestamp": "2026-03-22T07:30:54.000Z",
        "tollPlazaName": "Mulund(EEH)",
        "latitude": 19.1534,
        "longitude": 72.9657
      }
    ]
  }
}

If no data is found. Can happen if vehicle did not cross any toll or if vehicle does not have a commercial FASTag.

{
  "data": {
    "txns": []
  }
}

Last updated on